<!--
@license
Copyright (c) 2016 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE.txt
The complete set of authors may be found at http://polymer.github.io/AUTHORS.txt
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS.txt
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
-->

<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="cache-control" content="no-cache" />
    <meta name="generator" content="Polymer Starter Kit">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">
    <meta name="google-site-verification" content="0Rj6CUt2ki8faZQ_iIj6YmZ89PodW3V3ScSuZUkl-6w" />
    
    <title>Ethereum Privacy</title>
    <meta name="description" content="Confidential transactions using a public blockchain">
    <link rel="shortcut icon" type="image/png" href="/images/icon/apple-icon-114x114.png">
    <!--
      The `<base>` tag below is present to support two advanced deployment options:
      1) Differential serving. 2) Serving from a non-root path.

      Instead of manually editing the `<base>` tag yourself, you should generally either:
      a) Add a `basePath` property to the build configuration in your `polymer.json`.
      b) Use the `--base-path` command-line option for `polymer build`.

      Note: If you intend to serve from a non-root path, see [polymer-root-path] below.
    -->
    <base href="/">

    <link rel="icon" href="images/icon/favicon.ico">

    <!-- See https://goo.gl/OOhYW5 -->
    <link rel="manifest" href="images/icon/manifest.json">

    <!-- See https://goo.gl/qRE0vM -->
    <meta name="theme-color" content="#3f51b5">

    <!-- Add to homescreen for Chrome on Android. Fallback for manifest.json -->
    <meta name="mobile-web-app-capable" content="yes">
    <meta name="application-name" content="My App">

    <!-- Add to homescreen for Safari on iOS -->
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
    <meta name="apple-mobile-web-app-title" content="My App">

    <!-- Homescreen icons -->
    <link rel="apple-touch-icon" href="images/icon/android-icon-48x48.png">
    <link rel="apple-touch-icon" sizes="72x72" href="images/icon/apple-icon-72x72.png">
    <link rel="apple-touch-icon" sizes="96x96" href="images/icon/android-icon-96x96.png">
    <link rel="apple-touch-icon" sizes="144x144" href="images/icon/apple-icon-144x144.png">
    <link rel="apple-touch-icon" sizes="192x192" href="images/icon/android-icon-192x192.png">

    <!-- Tile icon for Windows 8 (144x144 + tile color) -->
    <meta name="msapplication-TileImage" content="images/icon/apple-icon-144x144.png">
    <meta name="msapplication-TileColor" content="#3f51b5">
    <meta name="msapplication-tap-highlight" content="no">

    <script>
      /**
      * [polymer-root-path]
      *
      * By default, we set `Polymer.rootPath` to the server root path (`/`).
      * Leave this line unchanged if you intend to serve your app from the root
      * path (e.g., with URLs like `my.domain/` and `my.domain/view1`).
      *
      * If you intend to serve your app from a non-root path (e.g., with URLs
      * like `my.domain/my-app/` and `my.domain/my-app/view1`), edit this line
      * to indicate the path from which you'll be serving, including leading
      * and trailing slashes (e.g., `/my-app/`).
      */
      window.Polymer = {rootPath: window.document.getElementsByTagName('base')[0].getAttribute('href')};

      // Load and register pre-caching Service Worker
      if ('serviceWorker' in navigator) {
        window.addEventListener('load', function() {
          navigator.serviceWorker.register('service-worker.js', {
            scope: Polymer.rootPath,
          });
        });
      }

      var getGlobal = function () { 
        if (typeof self !== 'undefined') { return self; } 
        if (typeof window !== 'undefined') { return window; } 
        if (typeof global !== 'undefined') { return global; } 
        throw new Error('unable to locate global object'); 
      }; 

      if(!globalThis) var globalThis = getGlobal(); 
    </script>
    <script src="./src/components/json-formatter.js"></script>
    <script src="./src/lib/web3.min.js"></script>
    <!-- Load webcomponents-loader.js to check and load any polyfills your browser needs -->
    <script src="./node_modules/@webcomponents/webcomponentsjs/webcomponents-loader.js"></script>
    <script src="node_modules/web-animations-js/web-animations-next-lite.min.js"></script>
    
    <!-- Load your application shell -->
    <script type="module" src="./src/my-app.js"></script>
    <!-- see http://kangax.github.io/compat-table/es5/ for ES5 compatibility 
    below some of the new ES5 features -->
    <script>
        window.onload = function() {
          console.log("RUNNING ONLOAD")
          var testClass
          try{ testClass = eval("var foo = class {}; var bar = class baz {}; foo.name == 'foo' && bar.name == 'baz'")} catch(e) {testClass=false}
          if('Promise' in window
          && testClass
          && 'create' in Object
          && typeof JSON == 'object'
          )
          ;
          else
          document.body.innerHTML= 
            "<h3>Sorry, this page only support browser compatible with ECMAScript 5</h3> publié le 3 décembre 2009! <br><br>\n"+
            "Please refer to <a href=\"http://kangax.github.io/compat-table/es5/\" >the browser compatibility table</a> for more information <br>\n"+
            "And sorry that is message is not well designed, I don't want to spend to much time on old browser versions \n"+
            " \n"+
            " <br>\n"+
            " <br>\n"+
            "<br> You are currently running on: \n"+
            navigator.userAgent
          }
    </script>
    
    <!-- Add any global styles for body, document, etc. -->
    <style>
      body {
        margin: 0;
        font-family: 'Roboto', 'Noto', sans-serif;
        line-height: 1.5;
        min-height: 100vh;
        background-color: #eeeeee;
      }
    </style>
  </head>
  <body>
    <my-app>
    </my-app>
    <noscript>
      Please enable JavaScript to view this website.
    </noscript>
    <!-- Built with Polymer Starter Kit -->
  </body>
</html>
